"""
$Id: config.py 20224 2005-10-20 21:13:30Z tesdal $
"""

PROJECTNAME = PKG_NAME = 'TeamSpace'
SKIN_NAME = 'teamspaces'
GLOBALS = globals()

ROLE_MARKER = "_ts_use_team_roles"

MONKEY_PATCH_CALENDAR_TOOL = True

try:
    from Products.CMFMember import config
    HAS_CMFMEMBER = True
    HAS_MEMBRANE = False
    MEMBER_CATALOG = config.DEFAULT_CATALOGS[0]
    USER_ID_VARIABLE = 'id'
except ImportError:
    from Products.Membrane import config
    HAS_CMFMEMBER = False
    HAS_MEMBRANE = True
    MEMBER_CATALOG = config.TOOLNAME
    USER_ID_VARIABLE = 'getUserId'
