from AccessControl import ClassSecurityInfo

from Products.Archetypes.public import *
from Products.TeamSpace.config import PKG_NAME

memberschema = BaseSchema.copy() + Schema((
    StringField('fullname',
                languageIndependent = 1,
                widget = StringWidget(description = "Enter the name.")
               ),
    StringField('email',
                languageIndependent = 1,
                widget = StringWidget(description = "Enter the email.")
               ),
    ))


try:
    from CMFMember import Member
    class Member(BaseContent):
        """A simple member archetype"""
        portal_type=archetype_name='Member'
        schema = memberschema
    
        security = ClassSecurityInfo()


except ImportError:
    from Products.Membrane.types.UserMixin import Authentication, Properties, Groups, UserMarker
    class Member(Authentication, Properties, Groups, UserMarker, BaseContent):
        """A simple member archetype"""
        portal_type=archetype_name='Member'
        schema = memberschema
    
        security = ClassSecurityInfo()

        def getUserId(self):
            return self.getId()

        def getUserName(self):
            return self.getId()
    

registerType(Member, PKG_NAME)
